ERR! ECONNREFUSED #2796

Closed
jpkirkbride opened this Issue Sep 11, 2012 · 5 comments

4 participants

@jpkirkbride

Hi,
I try to install Eherpad Lite :

cd /root/test/

git clone https://github.com/johnyma22/etherpad-lite.git

cd /root/test/etherpad-lite

11:55:00 [root@intranet etherpad-lite]$ bin/installDeps.sh
Ensure that all dependencies are up to date...
npm http GET https://registry.npmjs.org/express
npm http GET https://registry.npmjs.org/npm/1.1.24

npm ERR! Error: tunneling socket could not be established, cause=connect ECONNREFUSED
npm ERR! at ClientRequest.onError (/usr/local/lib/node_modules/npm/node_modules/request/tunnel.js:161:17)
npm ERR! at ClientRequest.g (events.js:156:14)
npm ERR! at ClientRequest.emit (events.js:67:17)
npm ERR! at Socket.socketErrorListener (http.js:1188:9)
npm ERR! at Socket.emit (events.js:67:17)
npm ERR! at Array.0 (net.js:301:14)
npm ERR! at EventEmitter._tickCallback (node.js:190:38)
npm ERR! You may report this log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com
npm ERR!
npm ERR! System Linux 2.6.18-308.13.1.el5
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /root/test/etherpad-lite/src
npm ERR! node -v v0.6.19
npm ERR! npm -v 1.1.24
npm ERR! code ECONNRESET
npm ERR! message tunneling socket could not be established, cause=connect ECONNREFUSED
npm ERR! errno {}
npm http GET https://registry.npmjs.org/request/2.9.100
npm http GET https://registry.npmjs.org/require-kernel/1.0.5
npm http GET https://registry.npmjs.org/resolve
npm http GET https://registry.npmjs.org/ueberDB/0.1.7
npm http GET https://registry.npmjs.org/clean-css/0.3.2
npm http GET https://registry.npmjs.org/uglify-js/1.2.5
npm http GET https://registry.npmjs.org/formidable/1.0.9
npm http GET https://registry.npmjs.org/log4js/0.4.1
npm http GET https://registry.npmjs.org/jsdom-nocontextifiy/0.2.10
npm http GET https://registry.npmjs.org/async-stacktrace/0.0.2
npm http GET https://registry.npmjs.org/ejs/0.6.1
npm http GET https://registry.npmjs.org/graceful-fs/1.1.5
npm http GET https://registry.npmjs.org/slide/1.1.3
npm http GET https://registry.npmjs.org/semver/1.0.13
npm http GET https://registry.npmjs.org/underscore/1.3.1
npm http GET https://registry.npmjs.org/yajsml/1.1.3
npm http GET https://registry.npmjs.org/connect
npm http GET https://registry.npmjs.org/jshint
npm http GET https://registry.npmjs.org/socket.io
npm http GET https://registry.npmjs.org/async
npm http GET https://registry.npmjs.org/resolve/-/resolve-0.2.3.tgz
npm http GET https://registry.npmjs.org/clean-css/-/clean-css-0.3.2.tgz
npm ERR! failed to fetch https://registry.npmjs.org/resolve/-/resolve-0.2.3.tgz
npm http 304 https://registry.npmjs.org/ueberDB/0.1.7
npm http 304 https://registry.npmjs.org/require-kernel/1.0.5
npm http 200 https://registry.npmjs.org/clean-css/-/clean-css-0.3.2.tgz
npm http 304 https://registry.npmjs.org/async-stacktrace/0.0.2
npm http 304 https://registry.npmjs.org/graceful-fs/1.1.5
npm http 304 https://registry.npmjs.org/uglify-js/1.2.5
npm http 304 https://registry.npmjs.org/semver/1.0.13
npm http GET https://registry.npmjs.org/semver/-/semver-1.0.13.tgz
npm http 304 https://registry.npmjs.org/log4js/0.4.1
npm ERR! failed to fetch https://registry.npmjs.org/semver/-/semver-1.0.13.tgz
npm http 304 https://registry.npmjs.org/yajsml/1.1.3
npm http 304 https://registry.npmjs.org/jshint
npm http GET https://registry.npmjs.org/jshint/-/jshint-0.9.0.tgz
npm http 304 https://registry.npmjs.org/async
npm http 200 https://registry.npmjs.org/npm/1.1.24
npm http GET https://registry.npmjs.org/npm/-/npm-1.1.24.tgz
npm ERR! failed to fetch https://registry.npmjs.org/npm/-/npm-1.1.24.tgz
npm http 200 https://registry.npmjs.org/jshint/-/jshint-0.9.0.tgz
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR! /root/test/etherpad-lite/src/npm-debug.log
npm not ok
npm not ok
11:55:08 [root@intranet etherpad-lite]$

@vinnizworld

I also have the same issue. I am using node 0.8.9 and npm 1.1.61 on windows. I install coffee-script, it's working fine. But can't get this issue fixed when installing grunt.

@Piot

Same problem here. node 0.8.11 and npm 1.1.62 on linux:

npm http GET https://registry.npmjs.org/generic-pool
npm ERR! Error: tunneling socket could not be established, cause=connect ECONNREFUSED
npm ERR!     at ClientRequest.onError (/usr/local/lib/node_modules/npm/node_modules/request/tunnel.js:161:17)
npm ERR!     at ClientRequest.g (events.js:193:14)
npm ERR!     at ClientRequest.EventEmitter.emit (events.js:93:17)
npm ERR!     at CleartextStream.socketErrorListener (http.js:1330:9)
npm ERR!     at CleartextStream.EventEmitter.emit (events.js:93:17)
npm ERR!     at Socket.onerror (tls.js:1318:17)
npm ERR!     at Socket.EventEmitter.emit (events.js:123:20)
npm ERR!     at Socket._destroy.self.errorEmitted (net.js:328:14)
npm ERR!     at process.startup.processNextTick.process._tickCallback (node.js:244:9)
npm ERR! If you need help, you may report this log at:
npm ERR!     <http://github.com/isaacs/npm/issues>
npm ERR! or email it to:
npm ERR!     <npm-@googlegroups.com>

npm ERR! System Linux 3.2.0-29-generic
npm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install"
npm ERR! cwd /var/lib/jenkins/jobs/rdm_master/workspace/src/backend/server
npm ERR! node -v v0.8.11
npm ERR! npm -v 1.1.62
npm ERR! code ECONNRESET
@nathan7
npm member

Are you on networks that require proxies / are those proxies configured?

@Piot

Yes, in my case a proxy that requires authentication. It's working now, so I assume that the error was related to a faulty proxy?

@nathan7
npm member

That would explain it, yes.

@nathan7 nathan7 closed this Mar 7, 2013
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment